Skip to main content
POST
/
api
/
v2
/
orders
/
wtr-embed
cURL
curl -X POST https://morimori.app/api/v2/orders/wtr-embed \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "idempotencyKey": "key-embed-001",
    "files": [
      {
        "fileName": "image.jpg",
        "watermarks": [{"text": "MORI_WATERMARK"}]
      }
    ]
  }'
{
  "data": {
    "orderName": "<string>",
    "orderId": "<string>",
    "files": [
      {
        "fileId": "<string>",
        "fileName": "<string>",
        "uploadUrl": "<string>",
        "fileKey": "<string>"
      }
    ]
  }
}

Download order results

Once your order reaches complete status, use the Get download URL endpoint to retrieve a presigned download URL:
curl -X GET https://morimori.app/api/v2/orders/{orderId}/download \
  -H "Authorization: Bearer YOUR_API_TOKEN"
Order files are available for download for up to 7 days after order creation. After 7 days, the order transitions to expired status and files can no longer be downloaded.

Authorizations

Authorization
string
header
required

API Key for external client access

Body

application/json
idempotencyKey
string
required

Idempotency key

files
object[]
required
Required array length: 1 - 100 elements

Response

Order created successfully

data
object